<script setup lang="ts">
import { useJoueurStore } from '@/stores/joueur';
import { usePartieStore } from '@/stores/partie';

const joueurStore = useJoueurStore()
const partieStore = usePartieStore()
</script>

<template>
    <div v-if="partieStore.historiquesPartie && partieStore.historiquesPartie.length > 0"
        class="flex flex-col items-center">
        <div class="text-5xl mb-4">Merci d'avoir joué !</div>
        <div>{{ 'Playlist : ' + partieStore.historiquesPartie[0].nomPlaylist }}</div>
        <div class="mt-4">Classement :</div>
        <ul>
            <li v-for="h in partieStore.historiquesPartie.sort((a, b) => b.score - a.score)" :key="h.refJoueur">
                <span v-if="h.maitreJoueur">👑</span>
                <span>{{ joueurStore.joueurs.find(j => j.id === h.refJoueur)?.login + ' : ' + h.score }}</span>
            </li>
        </ul>
    </div>
</template>